import java.util.Scanner;

public class takm2 {
	static Scanner sc = new Scanner(System.in);

	public static void main(String[] args) {
		int N=0;
		int t;
		int z;
		boolean u=true;
        do {
        	N=sc.nextInt();
        } while(N<2);
		int[]a= new int[N];
		int k=0;
		for(int i=0;i<=N-1;i++) {
			a[i]=sc.nextInt();
			if((i==0 && a[i]==0)||a[i]<0||a[i]>9) {
				i=i-1;
			}
			if(i==N-1) {
				for(int j=1;j<=N-1;j++) {
					if(a[j]==0) {
						k=k+1;
					}
				}
			}
			if(k==N-1) {
				i=0;
				System.out.println("Krsi se ogranicenje, unesite ponovo sve cifre knjiga, tako da barem dve od njih nisu 0");
			}
		}	
			if (N==2) {
				t=a[0];
				a[0]=a[1];
				a[1]=t;
				System.out.print(a[0]);
				System.out.print(" ");
				System.out.print(a[1]);
			}
	}
}